package com.sheep.gamegroup.model.entity;

import com.sheep.gamegroup.util.ListUtil;

import java.util.List;

/**
 * Created by realicing on 2018/11/2.
 * realicing@sina.com
 * level_1:	integer ($int32)
 * 评分等级1
 * level_2:	integer ($int32)
 * 评分等级2
 * level_3:	integer ($int32)
 * 评分等级3
 * level_4:	integer ($int32)
 * 评分等级4
 * level_5:	integer ($int32)
 * 评分等级5
 * score:	number ($float)
 * 评分
 * score_count:	integer ($int64)
 * 评分人数
 * 游戏评分详情
 */
public class AppScoreDetail {
    private int level_1;
    private int level_2;
    private int level_3;
    private int level_4;
    private int level_5;
    private int score;
    private int score_count;

    public int getLevel_1() {
        return level_1;
    }

    public void setLevel_1(int level_1) {
        this.level_1 = level_1;
    }

    public int getLevel_2() {
        return level_2;
    }

    public void setLevel_2(int level_2) {
        this.level_2 = level_2;
    }

    public int getLevel_3() {
        return level_3;
    }

    public void setLevel_3(int level_3) {
        this.level_3 = level_3;
    }

    public int getLevel_4() {
        return level_4;
    }

    public void setLevel_4(int level_4) {
        this.level_4 = level_4;
    }

    public int getLevel_5() {
        return level_5;
    }

    public void setLevel_5(int level_5) {
        this.level_5 = level_5;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public int getScore_count() {
        return score_count;
    }

    public void setScore_count(int score_count) {
        this.score_count = score_count;
    }


    public List<GameAppScore> toGameAppScoreList(){
        List<GameAppScore> list = ListUtil.emptyList();
        GameAppScore gameAppScore1 = new GameAppScore();
        gameAppScore1.setNum(level_1);
        gameAppScore1.setStar(1);
        gameAppScore1.setMax(score_count);
        list.add(gameAppScore1);
        GameAppScore gameAppScore2 = new GameAppScore();
        gameAppScore2.setNum(level_2);
        gameAppScore2.setStar(2);
        gameAppScore2.setMax(score_count);
        list.add(gameAppScore2);
        GameAppScore gameAppScore3 = new GameAppScore();
        gameAppScore3.setNum(level_3);
        gameAppScore3.setStar(3);
        gameAppScore3.setMax(score_count);
        list.add(gameAppScore3);
        GameAppScore gameAppScore4 = new GameAppScore();
        gameAppScore4.setNum(level_4);
        gameAppScore4.setStar(4);
        gameAppScore4.setMax(score_count);
        list.add(gameAppScore4);
        GameAppScore gameAppScore5 = new GameAppScore();
        gameAppScore5.setNum(level_5);
        gameAppScore5.setStar(5);
        gameAppScore5.setMax(score_count);
        list.add(gameAppScore5);
        return list;
    }
}
